Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class StateNode

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.PricedNode
                  |
                  +--oracle.apps.cz.cio.StateNode

All Implemented Interfaces:
  IBasicPrice, IPrice, IRuntimeNode, IState

Direct Known Subclasses:
  BooleanFeature, StateCountNode

public abstract class StateNode
extends PricedNode
implements IState

Abstract class implementing common behavior across nodes with logic state.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IState
`FALSE, LFALSE, LTRUE, SELECTABLE, SYSTEM_EXCLUDED, TOGGLE, TRUE, UFALSE, UNKNOWN, UTRUE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`int` | `getDetailedSelectionState()` Returns the following values:
`int` | `getSelectionState()` Returns the following values:
`int` | `getState()` Gets the current logic state of this object.
`boolean` | `isFalse()` Tells whether this feature is in false state.
`static boolean` | `isFalseState(int state)` Returns true if the given state is false (not unknown or true).
`boolean` | `isLogic()` Tells whether this feature is in a logically specified state.
`static boolean` | `isLogicState(int state)` Returns true if the given state is logic (not unknown, or user, or default).
`boolean` | `isTrue()` Tells whether this feature is in true state.
`static boolean` | `isTrueState(int state)` Returns true if the given state is true (not unknown or false).
`boolean` | `isUnknown()` Tells whether this feature is in unknown or known state.
`static boolean` | `isUnknownState(int state)` Returns true if the given state is unknown (not true or false).
`boolean` | `isUser()` Tells whether this feature is in a user specified state.
`static boolean` | `isUserState(int state)` Returns true if the given state is user (not unknown, or logic, or default).
`void` | `setState(int newState)` Change the current logic state of this object.
`static boolean` | `statesMatch(int inputState, int outputState)` Returns true if the two given states match.
`void` | `unset()` Retracts any user selection made toward this node

Methods inherited from class oracle.apps.cz.cio.PricedNode
`addDiscountedPricingNotification, addListPricingNotification, cacheCurrentDiscountedPrice, clearDiscountedPrice, clearDiscountedPricingNotifications, clearListPricingNotifications, getBaselineQuantity, getComponentCode, getDeltaQuantity, getDiscountedPrice, getDiscountedPricingNotifications, getExtendedPrice, getInventoryItemId, getItemKey, getListPrice, getListPricingNotifications, getOldDiscountedPrice, getOrganizationId, getPricedNodeID, getPricingNotifications, getPricingValue, getUomCode, getValue, hasDiscountedPrice, hasInventoryItemId, hasListPrice, setDiscountedPrice, setListPrice`

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getCaption, getChildByID, getChildByID, getChildByName, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getCXRules, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, synchronizeIBValues, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### isUnknownState

    public static final boolean isUnknownState(int state)

  Returns true if the given state is unknown (not true or false).

### isTrueState

    public static final boolean isTrueState(int state)

  Returns true if the given state is true (not unknown or false).

### isFalseState

    public static final boolean isFalseState(int state)

  Returns true if the given state is false (not unknown or true).

### isUserState

    public static final boolean isUserState(int state)

  Returns true if the given state is user (not unknown, or logic, or default).

### isLogicState

    public static final boolean isLogicState(int state)

  Returns true if the given state is logic (not unknown, or user, or default).

### statesMatch

    public static final boolean statesMatch(int inputState,
                                            int outputState)

  Returns true if the two given states match.

### getState

    public int getState()

  Description copied from interface: `IState`
  Gets the current logic state of this object.
  Specified by:
    `getState` in interface `IState`
  Returns:
    the current state.

### setState

    public void setState(int newState)
                  throws LogicalException

  Description copied from interface: `IState`
  Change the current logic state of this object.
  Specified by:
    `setState` in interface `IState`
    `LogicalException`

### isUnknown

    public boolean isUnknown()

  Description copied from interface: `IState`
  Tells whether this feature is in unknown or known state.
  Specified by:
    `isUnknown` in interface `IState`
  Returns:
    true if the feature is unknown.

### isTrue

    public boolean isTrue()

  Description copied from interface: `IState`
  Tells whether this feature is in true state.
  Specified by:
    `isTrue` in interface `IState`
  Returns:
    true if the feature is true.

### isFalse

    public boolean isFalse()

  Description copied from interface: `IState`
  Tells whether this feature is in false state.
  Specified by:
    `isFalse` in interface `IState`
  Returns:
    true if the feature is false.

### isUser

    public boolean isUser()

  Description copied from interface: `IState`
  Tells whether this feature is in a user specified state.
  Specified by:
    `isUser` in interface `IState`
  Returns:
    true if the feature is in user state.

### isLogic

    public boolean isLogic()

  Description copied from interface: `IState`
  Tells whether this feature is in a logically specified state.
  Specified by:
    `isLogic` in interface `IState`
  Returns:
    true if the feature is in logic state.

### unset

    public void unset()
               throws LogicalException

  Description copied from interface: `IState`
  Retracts any user selection made toward this node
  Specified by:
    `unset` in interface `IState`
    `LogicalException`

### getSelectionState

    public int getSelectionState()

  Returns the following values:
  Specified by:
    `getSelectionState` in interface `IState`
  Returns:
    1 if the node is selected

### getDetailedSelectionState

    public int getDetailedSelectionState()

  Returns the following values:
  Specified by:
    `getDetailedSelectionState` in interface `IState`
  Returns:
    IState.UTRUE if the node is user selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.